Package org.apache.torque.generator.configuration.option

## Class PropertiesOptionsSaxHandlerFactory

- java.lang.Object
- - org.apache.torque.generator.configuration.option.PropertiesOptionsSaxHandlerFactory

- All Implemented Interfaces:
    `OptionsSaxHandlerFactory`

      public class PropertiesOptionsSaxHandlerFactory
      extends Object
      implements OptionsSaxHandlerFactory

  A Factory which creates a SAX handler for properties options.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropertiesOptionsSaxHandlerFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FileOptionsSaxHandler` | `getOptionsSaxHandler()` | Returns a FileOptionsSaxHandler for reading the configuration of XML options.
    `String` | `getType()` | Returns the options type which can be handled by the OptionsSaxHandlers created by this factory.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertiesOptionsSaxHandlerFactory

          public PropertiesOptionsSaxHandlerFactory()

  - ### Method Detail

    - #### getType

          public String getType()

      Returns the options type which can be handled by the OptionsSaxHandlers created by this factory.
      Specified by:
        `getType` in interface `OptionsSaxHandlerFactory`
      Returns:
        "propertiesOptions".

    - #### getOptionsSaxHandler

          public final FileOptionsSaxHandler getOptionsSaxHandler()
                                                           throws SAXException

      Returns a FileOptionsSaxHandler for reading the configuration of XML options.
      Specified by:
        `getOptionsSaxHandler` in interface `OptionsSaxHandlerFactory`
      Returns:
        a new FileOptionsSaxHandler.
      Throws:
        `SAXException` - if the SAX Handler for the options can not be created from the given XML element.